import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EksAddonConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly addonName: string;
    /**
     * @stability stable
     */
    readonly addonVersion?: string;
    /**
     * @stability stable
     */
    readonly clusterName: string;
    /**
     * @stability stable
     */
    readonly resolveConflicts?: string;
    /**
     * @stability stable
     */
    readonly serviceAccountRoleArn?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class EksAddon extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EksAddonConfig);
    private _addonName;
    /**
     * @stability stable
     */
    get addonName(): string;
    /**
     * @stability stable
     */
    set addonName(value: string);
    /**
     * @stability stable
     */
    get addonNameInput(): string;
    private _addonVersion?;
    /**
     * @stability stable
     */
    get addonVersion(): string;
    /**
     * @stability stable
     */
    set addonVersion(value: string);
    /**
     * @stability stable
     */
    resetAddonVersion(): void;
    /**
     * @stability stable
     */
    get addonVersionInput(): string | undefined;
    /**
     * @stability stable
     */
    get arn(): string;
    private _clusterName;
    /**
     * @stability stable
     */
    get clusterName(): string;
    /**
     * @stability stable
     */
    set clusterName(value: string);
    /**
     * @stability stable
     */
    get clusterNameInput(): string;
    /**
     * @stability stable
     */
    get createdAt(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get modifiedAt(): string;
    private _resolveConflicts?;
    /**
     * @stability stable
     */
    get resolveConflicts(): string;
    /**
     * @stability stable
     */
    set resolveConflicts(value: string);
    /**
     * @stability stable
     */
    resetResolveConflicts(): void;
    /**
     * @stability stable
     */
    get resolveConflictsInput(): string | undefined;
    private _serviceAccountRoleArn?;
    /**
     * @stability stable
     */
    get serviceAccountRoleArn(): string;
    /**
     * @stability stable
     */
    set serviceAccountRoleArn(value: string);
    /**
     * @stability stable
     */
    resetServiceAccountRoleArn(): void;
    /**
     * @stability stable
     */
    get serviceAccountRoleArnInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
