import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MwaaEnvironmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly airflowConfigurationOptions?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly airflowVersion?: string;
    /**
     * @stability stable
     */
    readonly dagS3Path: string;
    /**
     * @stability stable
     */
    readonly environmentClass?: string;
    /**
     * @stability stable
     */
    readonly executionRoleArn: string;
    /**
     * @stability stable
     */
    readonly kmsKey?: string;
    /**
     * @stability stable
     */
    readonly maxWorkers?: number;
    /**
     * @stability stable
     */
    readonly minWorkers?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly pluginsS3ObjectVersion?: string;
    /**
     * @stability stable
     */
    readonly pluginsS3Path?: string;
    /**
     * @stability stable
     */
    readonly requirementsS3ObjectVersion?: string;
    /**
     * @stability stable
     */
    readonly requirementsS3Path?: string;
    /**
     * @stability stable
     */
    readonly sourceBucketArn: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly webserverAccessMode?: string;
    /**
     * @stability stable
     */
    readonly weeklyMaintenanceWindowStart?: string;
    /**
     * logging_configuration block.
     *
     * @stability stable
     */
    readonly loggingConfiguration?: MwaaEnvironmentLoggingConfiguration[];
    /**
     * network_configuration block.
     *
     * @stability stable
     */
    readonly networkConfiguration: MwaaEnvironmentNetworkConfiguration[];
}
/**
 * @stability stable
 */
export declare class MwaaEnvironmentLastUpdatedError extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get errorCode(): string;
    /**
     * @stability stable
     */
    get errorMessage(): string;
}
/**
 * @stability stable
 */
export declare class MwaaEnvironmentLastUpdated extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get createdAt(): string;
    /**
     * @stability stable
     */
    get error(): any;
    /**
     * @stability stable
     */
    get status(): string;
}
/**
 * @stability stable
 */
export interface MwaaEnvironmentLoggingConfigurationDagProcessingLogs {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly logLevel?: string;
}
/**
 * @stability stable
 */
export interface MwaaEnvironmentLoggingConfigurationSchedulerLogs {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly logLevel?: string;
}
/**
 * @stability stable
 */
export interface MwaaEnvironmentLoggingConfigurationTaskLogs {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly logLevel?: string;
}
/**
 * @stability stable
 */
export interface MwaaEnvironmentLoggingConfigurationWebserverLogs {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly logLevel?: string;
}
/**
 * @stability stable
 */
export interface MwaaEnvironmentLoggingConfigurationWorkerLogs {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly logLevel?: string;
}
/**
 * @stability stable
 */
export interface MwaaEnvironmentLoggingConfiguration {
    /**
     * dag_processing_logs block.
     *
     * @stability stable
     */
    readonly dagProcessingLogs?: MwaaEnvironmentLoggingConfigurationDagProcessingLogs[];
    /**
     * scheduler_logs block.
     *
     * @stability stable
     */
    readonly schedulerLogs?: MwaaEnvironmentLoggingConfigurationSchedulerLogs[];
    /**
     * task_logs block.
     *
     * @stability stable
     */
    readonly taskLogs?: MwaaEnvironmentLoggingConfigurationTaskLogs[];
    /**
     * webserver_logs block.
     *
     * @stability stable
     */
    readonly webserverLogs?: MwaaEnvironmentLoggingConfigurationWebserverLogs[];
    /**
     * worker_logs block.
     *
     * @stability stable
     */
    readonly workerLogs?: MwaaEnvironmentLoggingConfigurationWorkerLogs[];
}
/**
 * @stability stable
 */
export interface MwaaEnvironmentNetworkConfiguration {
    /**
     * @stability stable
     */
    readonly securityGroupIds: string[];
    /**
     * @stability stable
     */
    readonly subnetIds: string[];
}
/**
 * @stability stable
 */
export declare class MwaaEnvironment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MwaaEnvironmentConfig);
    private _airflowConfigurationOptions?;
    /**
     * @stability stable
     */
    get airflowConfigurationOptions(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set airflowConfigurationOptions(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetAirflowConfigurationOptions(): void;
    /**
     * @stability stable
     */
    get airflowConfigurationOptionsInput(): {
        [key: string]: string;
    } | undefined;
    private _airflowVersion?;
    /**
     * @stability stable
     */
    get airflowVersion(): string;
    /**
     * @stability stable
     */
    set airflowVersion(value: string);
    /**
     * @stability stable
     */
    resetAirflowVersion(): void;
    /**
     * @stability stable
     */
    get airflowVersionInput(): string | undefined;
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get createdAt(): string;
    private _dagS3Path;
    /**
     * @stability stable
     */
    get dagS3Path(): string;
    /**
     * @stability stable
     */
    set dagS3Path(value: string);
    /**
     * @stability stable
     */
    get dagS3PathInput(): string;
    private _environmentClass?;
    /**
     * @stability stable
     */
    get environmentClass(): string;
    /**
     * @stability stable
     */
    set environmentClass(value: string);
    /**
     * @stability stable
     */
    resetEnvironmentClass(): void;
    /**
     * @stability stable
     */
    get environmentClassInput(): string | undefined;
    private _executionRoleArn;
    /**
     * @stability stable
     */
    get executionRoleArn(): string;
    /**
     * @stability stable
     */
    set executionRoleArn(value: string);
    /**
     * @stability stable
     */
    get executionRoleArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _kmsKey?;
    /**
     * @stability stable
     */
    get kmsKey(): string;
    /**
     * @stability stable
     */
    set kmsKey(value: string);
    /**
     * @stability stable
     */
    resetKmsKey(): void;
    /**
     * @stability stable
     */
    get kmsKeyInput(): string | undefined;
    /**
     * @stability stable
     */
    lastUpdated(index: string): MwaaEnvironmentLastUpdated;
    private _maxWorkers?;
    /**
     * @stability stable
     */
    get maxWorkers(): number;
    /**
     * @stability stable
     */
    set maxWorkers(value: number);
    /**
     * @stability stable
     */
    resetMaxWorkers(): void;
    /**
     * @stability stable
     */
    get maxWorkersInput(): number | undefined;
    private _minWorkers?;
    /**
     * @stability stable
     */
    get minWorkers(): number;
    /**
     * @stability stable
     */
    set minWorkers(value: number);
    /**
     * @stability stable
     */
    resetMinWorkers(): void;
    /**
     * @stability stable
     */
    get minWorkersInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _pluginsS3ObjectVersion?;
    /**
     * @stability stable
     */
    get pluginsS3ObjectVersion(): string;
    /**
     * @stability stable
     */
    set pluginsS3ObjectVersion(value: string);
    /**
     * @stability stable
     */
    resetPluginsS3ObjectVersion(): void;
    /**
     * @stability stable
     */
    get pluginsS3ObjectVersionInput(): string | undefined;
    private _pluginsS3Path?;
    /**
     * @stability stable
     */
    get pluginsS3Path(): string;
    /**
     * @stability stable
     */
    set pluginsS3Path(value: string);
    /**
     * @stability stable
     */
    resetPluginsS3Path(): void;
    /**
     * @stability stable
     */
    get pluginsS3PathInput(): string | undefined;
    private _requirementsS3ObjectVersion?;
    /**
     * @stability stable
     */
    get requirementsS3ObjectVersion(): string;
    /**
     * @stability stable
     */
    set requirementsS3ObjectVersion(value: string);
    /**
     * @stability stable
     */
    resetRequirementsS3ObjectVersion(): void;
    /**
     * @stability stable
     */
    get requirementsS3ObjectVersionInput(): string | undefined;
    private _requirementsS3Path?;
    /**
     * @stability stable
     */
    get requirementsS3Path(): string;
    /**
     * @stability stable
     */
    set requirementsS3Path(value: string);
    /**
     * @stability stable
     */
    resetRequirementsS3Path(): void;
    /**
     * @stability stable
     */
    get requirementsS3PathInput(): string | undefined;
    /**
     * @stability stable
     */
    get serviceRoleArn(): string;
    private _sourceBucketArn;
    /**
     * @stability stable
     */
    get sourceBucketArn(): string;
    /**
     * @stability stable
     */
    set sourceBucketArn(value: string);
    /**
     * @stability stable
     */
    get sourceBucketArnInput(): string;
    /**
     * @stability stable
     */
    get status(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _webserverAccessMode?;
    /**
     * @stability stable
     */
    get webserverAccessMode(): string;
    /**
     * @stability stable
     */
    set webserverAccessMode(value: string);
    /**
     * @stability stable
     */
    resetWebserverAccessMode(): void;
    /**
     * @stability stable
     */
    get webserverAccessModeInput(): string | undefined;
    /**
     * @stability stable
     */
    get webserverUrl(): string;
    private _weeklyMaintenanceWindowStart?;
    /**
     * @stability stable
     */
    get weeklyMaintenanceWindowStart(): string;
    /**
     * @stability stable
     */
    set weeklyMaintenanceWindowStart(value: string);
    /**
     * @stability stable
     */
    resetWeeklyMaintenanceWindowStart(): void;
    /**
     * @stability stable
     */
    get weeklyMaintenanceWindowStartInput(): string | undefined;
    private _loggingConfiguration?;
    /**
     * @stability stable
     */
    get loggingConfiguration(): MwaaEnvironmentLoggingConfiguration[];
    /**
     * @stability stable
     */
    set loggingConfiguration(value: MwaaEnvironmentLoggingConfiguration[]);
    /**
     * @stability stable
     */
    resetLoggingConfiguration(): void;
    /**
     * @stability stable
     */
    get loggingConfigurationInput(): MwaaEnvironmentLoggingConfiguration[] | undefined;
    private _networkConfiguration;
    /**
     * @stability stable
     */
    get networkConfiguration(): MwaaEnvironmentNetworkConfiguration[];
    /**
     * @stability stable
     */
    set networkConfiguration(value: MwaaEnvironmentNetworkConfiguration[]);
    /**
     * @stability stable
     */
    get networkConfigurationInput(): MwaaEnvironmentNetworkConfiguration[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
